## ros-indigo-pr2-navigation 0.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_navigation)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-pr2-navigation (0.1.28-0trusty) trusty; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_navigation/issues/36> from k-okada/fix_catkin_depends
    fixed CMake files for compile in kinetic
  * updated maintainer
  * Update package.xml
  * Contributors: David Feil-Seifer, Devon Ash, Kei Okada

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 26 Apr 2018 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.27-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.26-0trusty) trusty; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/PR2/pr2_navigation into hydro-devel
  * Updated maintanership
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.25-0trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.24-0trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.23-0trusty) trusty; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.22-0trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Sun, 07 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.21-0trusty) trusty; urgency=high



 -- Dash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.20-0trusty) trusty; urgency=high

  * 0.1.19
  * Added changelogs
  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.19-0trusty) trusty; urgency=high

  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Dash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation (0.1.18-0trusty) trusty; urgency=high

  * catkinize packages
  * Contributors: Kei Okada

 -- Dash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-navigation
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/pr2_navigation
Standards-Version: 3.9.2

Package: ros-indigo-pr2-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dwa-local-planner, ros-indigo-laser-tilt-controller-filter, ros-indigo-pr2-move-base, ros-indigo-pr2-navigation-config, ros-indigo-pr2-navigation-global, ros-indigo-pr2-navigation-local, ros-indigo-pr2-navigation-perception, ros-indigo-pr2-navigation-self-filter, ros-indigo-pr2-navigation-slam, ros-indigo-pr2-navigation-teleop, ros-indigo-semantic-point-annotator
Description: The pr2_navigation stack holds common configuration options for running the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-navigation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
